import { Executor } from '../../../execution/domain';
import { QueryOptions } from 'lambdaorm-base';
import { IQueryBuilder } from '../../domain/services';
import { ExpressionTransaction } from './transaction';
import { Expressions } from '3xpr';
import { OrmH3lp } from '../../../shared/application';
export declare class ExpressionExecute {
    private readonly builder;
    private readonly executor;
    private readonly expressions;
    private readonly helper;
    constructor(builder: IQueryBuilder, executor: Executor, expressions: Expressions, helper: OrmH3lp);
    execute(expression: string, data: any, options: QueryOptions): Promise<any>;
    executeList(expressions: string[], options: QueryOptions): Promise<any>;
    transaction(options: QueryOptions, callback: {
        (tr: ExpressionTransaction): Promise<void>;
    }): Promise<void>;
}
